Package org.drinkless.tdlib

# Class TdApi.Passkey

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Passkey

Enclosing class:
  `TdApi`

public static class TdApi.Passkey extends TdApi.Object
Describes a passkey.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `additionDate`
  Point in time (Unix timestamp) when the passkey was added.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Unique identifier of the passkey.
  `int`
  `lastUsageDate`
  Point in time (Unix timestamp) when the passkey was used last time; 0 if never.
  `String`
  `name`
  Name of the passkey.
  `long`
  `softwareIconCustomEmojiId`
  Identifier of the custom emoji that is used as the icon of the software, which created the passkey; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Passkey()`
  Describes a passkey.
  `Passkey(String id, String name, int additionDate, int lastUsageDate, long softwareIconCustomEmojiId)`
  Describes a passkey.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the passkey.

  - ### name

    public String name
    Name of the passkey.

  - ### additionDate

    public int additionDate
    Point in time (Unix timestamp) when the passkey was added.

  - ### lastUsageDate

    public int lastUsageDate
    Point in time (Unix timestamp) when the passkey was used last time; 0 if never.

  - ### softwareIconCustomEmojiId

    public long softwareIconCustomEmojiId
    Identifier of the custom emoji that is used as the icon of the software, which created the passkey; 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Passkey

    public Passkey()
    Describes a passkey.

  - ### Passkey

    public Passkey(String id, String name, int additionDate, int lastUsageDate, long softwareIconCustomEmojiId)
    Describes a passkey.
    Parameters:
      `id` - Unique identifier of the passkey.
      `name` - Name of the passkey.
      `additionDate` - Point in time (Unix timestamp) when the passkey was added.
      `lastUsageDate` - Point in time (Unix timestamp) when the passkey was used last time; 0 if never.
      `softwareIconCustomEmojiId` - Identifier of the custom emoji that is used as the icon of the software, which created the passkey; 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR